'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelTemplate = require('babel-template');

var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

var _util = require('../util');

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var originalTemplate = (0, _babelTemplate2.default)('\n  const TEMPLATE_NAME = props => {\n    return CHILDREN;\n  };\n');

var templateSyntax = function templateSyntax(types, nodePath) {
  var children = _util2.default.getChildren(nodePath);
  var attributes = _util2.default.getAttributes(nodePath);
  var divElement = _util2.default.createElement(types, children, attributes);

  var templateName = _util2.default.getAttribute(nodePath, 'name');

  if (!templateName) {
    throw new SyntaxError('template attribute not found: name');
  }

  templateName = templateName.value.value;

  var syntax = originalTemplate({
    TEMPLATE_NAME: types.Identifier(templateName),
    CHILDREN: divElement
  });

  return syntax;
};

exports.default = templateSyntax;